//---------------------------------------------------------------------------

#ifndef FormCustomShapeH
#define FormCustomShapeH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TfrmCustomShape : public TForm
{
__published:	// IDE-managed Components
	TImage *imgShape;
	TImage *imgCursor;
	TImage *imgHand;
	TImage *imgZoom;
	TImage *imgZoomClear;
	TImage *imgZoomX;
	TImage *imgZoomY;
	TShape *ShapeAreaCursor;
	TImage *imgHighlightCursor;
	TImage *imgHighlightHand;
	TImage *imgHighlightZoomClear;
	TImage *imgHighlightZoomY;
	TImage *imgHighlightZoomX;
	TImage *imgHighlightZoom;
	TShape *ShapeAreaHand;
	TShape *ShapeAreaZoomClear;
	TShape *ShapeAreaZoomY;
	TShape *ShapeAreaZoomX;
	TShape *ShapeAreaZoom;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall imgShapeClick(TObject *Sender);
	void __fastcall ShapeAreaMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
	void __fastcall ShapeAreaMouseEnter(TObject *Sender);
	void __fastcall ShapeAreaMouseLeave(TObject *Sender);
private:	// User declarations
	HRGN __fastcall CreateRegion(Graphics::TBitmap* Bmp);

public:		// User declarations
	__fastcall TfrmCustomShape(TComponent* Owner);
	void ShowAt(int X, int Y);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmCustomShape *frmCustomShape;
//---------------------------------------------------------------------------
#endif
